import Popup from '@/components/popup'
import React, { useState, memo, useEffect } from "react";
import Taro, { getCurrentInstance } from "@tarojs/taro";
import { View, Swiper, SwiperItem, Text } from "@tarojs/components";
// import { AtIcon } from 'taro-ui'
import './index.scss'
import classnames from "classnames";
import AtCalendar from "@/components/calendar/index"

type DateArg = string | number | Date
interface Props {
    showTime: true | false,
    closePopup?: () => void,
    end?: DateArg
    start?: DateArg,
    onSelectDate?: (any) => void
}

export default memo((props: Props) => {
    let {
        showTime = false,
        closePopup,
        start = "",
        end = "",
        onSelectDate
    } = props
    const [time, setTime] = useState<any>({})

    const handTime = (e) => {
        setTime(e)
    }
    return (
        <Popup title={'选择时间'} show={showTime} onClose={() => closePopup?.()}>
            <View className='time-box'>
                <AtCalendar
                    isMultiSelect
                    currentDate={{
                        start: start,
                        end: end
                    }}
                    onSelectDate={(e) => handTime?.(e)}
                />
            </View>
            <View className='sure-box' onClick={() => onSelectDate?.(time)}>确认</View>
        </Popup >
    )
})
